# fawatrak-online-payment

integrate with fawaterk online payment

## Installation

```sh
npm install fawatrak-online-payment
```

## Usage

```js
import { getInvoicePaymentTypes } from 'fawatrak-online-payment';

type PAYMENT_METHOD_DATA = {
  '0': string;
  '+2 hours': string;
  '+4 hours': string;
  '+6 hours': string;
  '+12 hours': string;
  '+1 days': string;
  '+2 days': string;
};

type PATMENT_TYPE = {
  paymentId: number;
  paymentCode: string;
  paymentMethod: string;
  paymentMethodData: PAYMENT_METHOD_DATA;
};

export default function App() {
  const [data, setData] = React.useState<Array<PATMENT_TYPE>>([]);

  React.useEffect(() => {
    getInvoicePaymentTypes('USER_TOKEN_KEY').then((res) => {
      setData(res as PATMENT_TYPE[]);
    });
  }, []);

  return (
    <>
    // your code here...
    </>
  );
}
```
