"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getInvoicePaymentTypes = void 0;
var _axios = _interopRequireDefault(require("axios"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const APIURL = 'http://st1.fawaterk.com:8181/api/v2';
const instanceAPI = _axios.default.create({
  baseURL: APIURL
});
instanceAPI.interceptors.request.use(config => {
  if (config.method === 'post' && config.data === undefined) {
    config.data = {};
  }
  return config;
}, error => Promise.reject(error));
const getInvoicePaymentTypes = async TOKEN => {
  const result = await instanceAPI.post('/invoice/paymentType', {}, {
    headers: {
      Authorization: `Bearer ${TOKEN}`
    }
  });
  return result.data;
};
exports.getInvoicePaymentTypes = getInvoicePaymentTypes;
//# sourceMappingURL=index.js.map